<?php

namespace App;
use Illuminate\Support\Facades\DB;

use Illuminate\Database\Eloquent\Model;

class requerimientos_desarrolladores extends Model
{
    protected $fillable = [
        'desarrollador_id','requerimiento_id'
    ];

    //Buscar los desarrolladores asignados a un requerimiento
    static function AssignedDevelopers($id = null) {
        $requerimientos_desarrolladores = DB::table('requerimientos_desarrolladores')
            ->join('users', 'users.id',  'requerimientos_desarrolladores.desarrollador_id')
            ->join('requerimientos', 'requerimientos.id',  'requerimientos_desarrolladores.requerimiento_id');
        if($id!=null){
            $requerimientos_desarrolladores->where("requerimientos_desarrolladores.requerimiento_id",$id);
        }
        return $requerimientos_desarrolladores->select('requerimientos_desarrolladores.*', 'users.name as desarrollador_name','requerimientos.titulo as requerimientos_name')
        ->get();
    }

}
